import sys, urllib2

def get_whitelisted_domains():

	domains = []
	
	for index in sys.argv:
		if index.startswith("--domain="):
			domains.append(index.replace("--domain=", ""))

	return domains

def get_blacklisted_domains():

	domains = []

	for index in sys.argv:
		if index.startswith("--dontcrawl="):
			domains.append(index.replace("--dontcrawl=", ""))

	return domains


def get_base_url():

	for index in sys.argv:
		if index.startswith("--baseurl="):
			return index.replace("--baseurl=", "")

def get_expressions():

	expressions = []
	if "--emailaccounts" in sys.argv:
		expressions.append(r"""[a-zA-Z0-9._-]+@[a-zA-Z0-9._-]+""")

	if "--phonenumbers" in sys.argv:
		expressions.append(r"""\d{3}[-.]?\d{3}[-.]?\d{4}""")

	if "--ipaddresses" in sys.argv:
		expressions.append(r"""(?:\d{1,3}\.){3}\d{1,3}""")

	if "--creditcardnumbers" in sys.argv:
		expressions.append(r"""[0-9]{4}\s[0-9]{4}\s[0-9]{4}\s[0-9]+""")

	return expressions

def get_max_urls():

	max_urls = 100
	
	for index in sys.argv:
		if index.startswith("--maxurls="):
			try:
				max_urls = int(index.replace("--maxurls=", ""))
			except:
				pass

	return max_urls

def get_http_client():
	
	useragent = "Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1"
	referer = " "

	for index in sys.argv:
		if index.startswith("--useragent="):
			try:
				useragent = index.replace("--useragent=", "")
			except:
				pass

	for index in sys.argv:
		if index.startswith("--referer="):
			try:
				referer = index.replace("--referer=", "")
			except:
				pass

	opener = urllib2.build_opener()
	opener.addheaders = [("User-agent", useragent), ("Referer", referer)]
	return opener
