#!/usr/bin/python
import sys, re, urllib2, urlparse, quit, parse_arguments

if len(sys.argv) < 2 or "--help" in sys.argv:
	sys.exit(quit.help())


url_regex = """https?://[^\s'"<>]+"""
base_url = parse_arguments.get_base_url()
max_urls = parse_arguments.get_max_urls()
expressions = parse_arguments.get_expressions()
allowed_domains = parse_arguments.get_whitelisted_domains()
disallowed_domains = parse_arguments.get_blacklisted_domains()

urls = []
matches = []

opener = parse_arguments.get_http_client()

try:
	html = opener.open(base_url).read()
except:
	sys.exit("Could not open base URL!")

urls.extend(re.findall(url_regex, html))
for exp in expressions:
	matches.extend(re.findall(exp, html))

count = 0

for url in urls:
	if urlparse.urlparse(url)[1] in disallowed_domains:
		continue
	elif len(allowed_domains) >= 1 and urlparse.urlparse(url)[1] not in allowed_domains:
		continue

	try:
		html = opener.open(url).read()
		urls.extend(re.findall(url_regex, html))
		
		for exp in expressions:
			matches.extend(re.findall(exp, html))

		count += 1

	except:
		pass

	if count >= max_urls:
		quit.dump_info(matches)

quit.dump_info(matches)		# this will only be called here if the spider runs out of URLs to crawl
