import sys

def help():
	help_screen = """
	Anfan is an automated web crawler that also harvests and extracts information from webpages. 

	Usage: ./anfan.py --baseurl=http://www.example.com/ [options]

	Options:

	--baseurl			The URL from which the spider will start with
	--emailaccounts			Extract email accounts
	--phonenumbers			Extract phone numbers
	--creditcardnumbers		Extract credit card numbers
	--ipaddresses			Extract IP addresses
	--domain			Limit the crawling to a specific domain, other domains will not be crawled
	--dontcrawl			Specify a domain in which *not* to crawl
	--maxurls			Maximum number of URLs to spider, the default is 100

	Output options:

	--dontprint			Dont print the information found onto stdout
	--outputfile			Dump the information found into a text file, with each piece of data seperated
					via newline

	Example:

	./anfan.py --baseurl=http://www.example.com/ --dontcrawl=google.com --dontcrawl=yahoo.com --maxurls=50 --emailaccounts --phonenumbers --dontprint --outputfile=output.txt

	This will crawl the web starting with URLs found at http://www.example.com/, and it will crawl any URL it finds there
	except for a URL at google.com or yahoo.com. Any other URL will be spidered, and email accounts and phone numbers
	will be extracted from the web pages that are linked to those pages, which will be dumped into a text file output.txt
	"""
	
	return help_screen


def dump_info(matches):

	for match in matches:
		while matches.count(match) > 1:
			del matches[matches.index(match)]		# avoid outputting repeated data

	if not "--dontprint" in sys.argv:
		for match in range(len(matches)):
			print matches[match]

	for index in sys.argv:
		if "--outputfile=" in index:
			try:
				outputfile = open(index.replace("--outputfile=", ""), "w")
				for x in range(len(matches)):
					matches[x] += "\n"
				outputfile.writelines(matches)
				outputfile.close()
			except:
				print "Could not write to file!"

	sys.exit()
